%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-keystone
Version:        12.4.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Keystone
License:        ASL 2.0

URL:            https://launchpad.net/puppet-keystone

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Deprecate-module_plugins.patch
Patch0002: 0002-Use-OS_BOOTSTRAP_PASSWORD-instead-of-passing-CLI.patch
Patch0003: 0003-authtoken-cannot-manage-python-memcache-on-RedHat.patch
Patch0004: 0004-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0005: 0005-Add-openstack-db-tag-to-db-sync-Exec-resource.patch

BuildArch:      noarch

Requires:       puppet-apache
Requires:       puppet-inifile
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Keystone

%prep
%setup -q -n openstack-keystone-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone/



%files
%{_datadir}/openstack-puppet/modules/keystone/


%changelog
* Mon Nov 26 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-3
- Add 'openstack-db' tag to db-sync Exec resource
- Update Gemfile to pull spec_helper from stable/queens

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- authtoken cannot manage python-memcache on RedHat
- Use OS_BOOTSTRAP_PASSWORD instead of passing CLI
- Deprecate module_plugins
- Update to 12.4.0 (rhbz#1607588)

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0
